## qtpim-opensource-src 5.0~git20140515~29475884

=== auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Core REQUIRED)

find_package(Qt5Contacts REQUIRED)
find_package(Qt5Organizer REQUIRED)

include_directories(
  ${Qt5Contacts_INCLUDE_DIRS}
  ${Qt5Organizer_INCLUDE_DIRS}
)

add_definitions(
  ${Qt5Contacts_DEFINITIONS}
  ${Qt5Organizer_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt5Contacts_LIBRARIES}
  ${Qt5Organizer_LIBRARIES}
)

## qtpim-opensource-src 5.0~git20130828

=== debian/changelog ===
qtpim-opensource-src (5.0~git20130828-0ubuntu3) saucy; urgency=low

  [ Timo Jyrinki ]
  * debian/patches/0001-Fixed-removePreferredDetail-locks-due-a-infinite-loo.patch
    - Cherry-pick a fix from upstream (LP: #1226445)
  * debian/patches/0001-Update-QDeclarativeContact-contactId-field-after-cre.patch
    - Cherry-pick a fix from upstream (LP: #1226444)

  [ Loïc Minier ]
  * Upload to saucy after testing in ~ubuntu-unity/daily-build PPA.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 19 Sep 2013 10:45:36 +0200

qtpim-opensource-src (5.0~git20130828-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - Build and run tests
  * debian/control:
    - Build-Depend on dbus and xvfb for tests
  * debian/patches/disable_failing_tests.patch:
    - Disable four currently failing tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Sep 2013 13:04:38 +0300

qtpim-opensource-src (5.0~git20130828-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Drop, merged upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 29 Aug 2013 12:26:09 +0300

qtpim-opensource-src (5.0~git20130723-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
    - Fixes QTBUG-32142, QTBUG-32324 and QTBUG-32561
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Added support to preferredDetails on QML Contact.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Jul 2013 18:41:12 -0300

qtpim-opensource-src (5.0~git20130701-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release.
    - Fixes QML plugins (LP: #1188180)
  * Priority: extra for qtpim5-dbg
  * debian/patches/add_license_files.patch:
    - Drop, merged upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 05 Jun 2013 15:45:28 +0300

qtpim-opensource-src (5.0~git20130502-0ubuntu1) saucy; urgency=low

  * Initial release
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now, 
      causes a crash in supportedImplementationVersions(); (LP: #1178620)
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 May 2013 14:15:23 +0300

=== debian/control ===
Source: qtpim-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: dbus,
               debhelper (>= 9),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev,
               qtdeclarative5-private-dev,
               xvfb,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src

Package: libqt5contacts5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Contacts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt PIM module's Contacts library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qtcontacts-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5contacts5, ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Contacts library QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Contacts QML plugin for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5organizer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Organizer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt PIM module's Organizer library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qtorganizer-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5organizer5, ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Organizer library QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Organizer QML plugin for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5versit5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Versit library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt PIM module's Versit library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5versitorganizer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt PIM module, Versit Organizer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt PIM module's Versit Organizer library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtpim5-dev
Section: libdevel
Architecture: any
Depends: libqt5contacts5 (= ${binary:Version}),
         libqt5organizer5 (= ${binary:Version}),
         libqt5versit5 (= ${binary:Version}),
         libqt5versitorganizer5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 PIM development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt PIM libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtpim5-private-dev
Section: libdevel
Architecture: any
Depends: libqt5contacts5 (= ${binary:Version}),
         libqt5organizer5 (= ${binary:Version}),
         libqt5versit5 (= ${binary:Version}),
         libqt5versitorganizer5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 PIM private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using PIM private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtpim5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libqt5contacts5 (= ${binary:Version}),
         libqt5organizer5 (= ${binary:Version}),
         libqt5versit5 (= ${binary:Version}),
         libqt5versitorganizer5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt PIM library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 PIM
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtpim5-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f plugins/*/*.so
	rm -f qml/*/*.so

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_install:
	dh_auto_install
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Don't install the skeleton plugin
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/organizer/libqtorganizer_skeleton.so

override_dh_auto_test:
	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtpim-opensource-src 5.0~git20140203~e0c5eebe

=== debian/changelog ===
qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu2) trusty; urgency=medium

  * Cherry-pick from upstream:
    - Delete-declarative-contact-after-remove-it-from-the-.patch
      (LP: #1291989)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 08:39:24 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu1) trusty; urgency=medium

  * New upstream git snapshot
  * Update disable_failing_tests.patch with more failing tests
  * Build dep on qtquick2 and test plugins to enable QML plugins
  * Drop the two patches included in upstream
  * Cherry-pick Set-the-contact-detail-parent-to-avoid-memory-leak.patch
  * Use 'mkdir .git' to trigger header build for the snapshot release
  * Bump dependencies to Qt 5.2.1
  * Drop private headers like Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 11:04:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
                debhelper (>= 9),
                pkg-kde-tools,
                qt5-default,
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
+               qtbase5-private-dev (>= 5.2.1~),
+               qtdeclarative5-private-dev (>= 5.2.1~),
+               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
+               qtdeclarative5-test-plugin (>= 5.2.1~),
                xvfb,
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
@@ -123,27 +125,6 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtpim5-private-dev
-Section: libdevel
-Architecture: any
-Depends: libqt5contacts5 (= ${binary:Version}),
-         libqt5organizer5 (= ${binary:Version}),
-         libqt5versit5 (= ${binary:Version}),
-         libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Qt 5 PIM private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications using PIM private headers.
- .
- Use at your own risk.
- .
- WARNING: This module is not an official part of Qt 5, but instead a git
- snapshot of an ongoing development. The package is very likely to
- change in a binary incompatible way, and no guarantees are given.
-
 Package: qtpim5-dbg
 Priority: extra
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,19 @@
 	rm -f qml/*/*.so
 
 override_dh_auto_configure:
+	mkdir .git
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_install:
 	dh_auto_install
+	
+	# Remove private stuff
+	rm -rfv debian/tmp/usr/include/qt5/QtContacts/*/QtContacts/private/
+	rm -rfv debian/tmp/usr/include/qt5/QtOrganizer/*/QtOrganizer/private/
+	rm -rfv debian/tmp/usr/include/qt5/QtVersit/*/QtVersit/private/
+	rm -rfv debian/tmp/usr/include/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
+	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
+	
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	# Don't install the skeleton plugin

## qtpim-opensource-src 5.0~git20140515~29475884

=== debian/changelog ===
qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu4) utopic; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Fixed declarative contact model crash.

  [ Dmitry Shachnev ]
  * Update disable_failing_tests.patch to not patch one file twice.
  * Use correct exception syntax in debian/copyright.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Drop dh_builddeb override, no longer needed.
  * Use dh_auto_test instead of make check in debian/rules.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Wed, 24 Sep 2014 14:13:01 -0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu3) utopic; urgency=medium

  * Rename the QML modules to qml-module-xxx format and add transitional 
    packages. (LP: #1342031) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 17 Jul 2014 11:15:48 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu2) utopic; urgency=medium

  * Build against Qt 5.3
  * Move includes, fix private cleaning accordingly

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Jun 2014 08:11:07 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot with several upstreamed fixes from renato
    - Remove also the following merged patches:
      Set-the-contact-detail-parent-to-avoid-memory-leak.patch
      Delete-declarative-contact-after-remove-it-from-the-.patch
    - A handful more of now failing upstream tests disabled

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 15 May 2014 09:27:46 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu3) utopic; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 00:39:29 -0700

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                debhelper (>= 9),
                pkg-kde-tools,
                qt5-default,
-               qtbase5-private-dev (>= 5.2.1~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
-               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
-               qtdeclarative5-test-plugin (>= 5.2.1~),
+               qtbase5-private-dev (>= 5.3.0~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtdeclarative5-qtquick2-plugin (>= 5.3.0~),
+               qtdeclarative5-test-plugin (>= 5.3.0~),
                xvfb,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
@@ -19,8 +19,9 @@
 Package: libqt5contacts5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Contacts library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -34,13 +35,30 @@
 Package: qtdeclarative5-qtcontacts-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5contacts5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt PIM module, Contacts library QML plugin
+Section: oldlibs
+Depends: qml-module-qtcontacts,
+         ${misc:Depends},
+Description: transitional dummy package for Qt 5 Contacts QML Module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Qt Contacts QML plugin for Qt Declarative.
+ This is a transitional dummy package for qml-module-qtcontacts
+ which can be safely removed.
+
+Package: qml-module-qtcontacts
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: libqt5contacts5,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: qtdeclarative5-qtcontacts-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Replaces: qtdeclarative5-qtcontacts-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Description: Qt 5 Contacts QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Contacts QML module for Qt Declarative.
  .
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
@@ -49,8 +67,9 @@
 Package: libqt5organizer5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Organizer library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -64,13 +83,30 @@
 Package: qtdeclarative5-qtorganizer-plugin
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5organizer5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt PIM module, Organizer library QML plugin
+Section: oldlibs
+Depends: qml-module-qtorganizer,
+         ${misc:Depends},
+Description: transitional dummy package for Qt 5 Organizer QML Module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Qt Organizer QML plugin for Qt Declarative.
+ This is a transitional dummy package for qml-module-qtorganizer
+ which can be safely removed.
+
+Package: qml-module-qtorganizer
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: libqt5organizer5,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: qtdeclarative5-qtorganizer-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Replaces: qtdeclarative5-qtorganizer-plugin (<< 5.0~git20140515~29475884-0ubuntu3~),
+Description: Qt 5 Organizer QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Organizer QML module for Qt Declarative.
  .
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
@@ -79,8 +115,9 @@
 Package: libqt5versit5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Versit library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -94,8 +131,9 @@
 Package: libqt5versitorganizer5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt PIM module, Versit Organizer library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -113,7 +151,7 @@
          libqt5organizer5 (= ${binary:Version}),
          libqt5versit5 (= ${binary:Version}),
          libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Qt 5 PIM development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -133,7 +171,7 @@
          libqt5organizer5 (= ${binary:Version}),
          libqt5versit5 (= ${binary:Version}),
          libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Qt PIM library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 	dh_auto_install
 	
 	# Remove private stuff
-	rm -rfv debian/tmp/usr/include/qt5/QtContacts/*/QtContacts/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtOrganizer/*/QtOrganizer/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtVersit/*/QtVersit/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtContacts/*/QtContacts/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtOrganizer/*/QtOrganizer/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtVersit/*/QtVersit/private/
+	rm -rfv debian/tmp/usr/include/*/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
 	
 	# Remove libtool-like files
@@ -37,8 +37,4 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/organizer/libqtorganizer_skeleton.so
 
 override_dh_auto_test:
-	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib

## qtpim-opensource-src 5.0~git20190618.8fec622c%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_build:
	dh_auto_build
	make docs

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f plugins/*/*.so
	rm -f qml/*/*.so

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install:
	dh_auto_install
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
	
	# Remove private stuff
	rm -rfv debian/tmp/usr/include/*/qt5/QtContacts/*/QtContacts/private/
	rm -rfv debian/tmp/usr/include/*/qt5/QtOrganizer/*/QtOrganizer/private/
	rm -rfv debian/tmp/usr/include/*/qt5/QtVersit/*/QtVersit/private/
	rm -rfv debian/tmp/usr/include/*/qt5/QtVersitOrganizer/*/QtVersitOrganizer/private/
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri

	# drop unneeded .pro file
	rm -fv debian/tmp/usr/lib/*/qt5/examples/contacts/contacts.pro

	mkdir -p debian/tmp/usr/share/doc/qtpim5-examples/examples/organizer/
	cp -av examples/organizer/qmlorganizerlistview/ debian/tmp/usr/share/doc/qtpim5-examples/examples/organizer/
	cp -av examples/contacts/ debian/tmp/usr/share/doc/qtpim5-examples/examples/
	rm -rfv debian/tmp/usr/lib/x86_64-linux-gnu/qt5/examples/contacts/
	rm -fv debian/tmp/usr/share/doc/qtpim5-examples/examples/contacts/Makefile

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Don't install the skeleton plugin
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/organizer/libqtorganizer_skeleton.so

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel -- QML2_IMPORT_PATH=$(CURDIR)/qml QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

UURL = https://code.qt.io/qt/qtpim.git
UREV = $(shell echo $(VER) | cut -d"." -f3)

QT_MODULE_VERSION = $(shell test -e .qmake.conf && ( cat .qmake.conf | grep MODULE_VERSION | sed -re 's/MODULE_VERSION\s*=\s*([^\s]+)\s*/\1/' ) || echo 5.0.0 )

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: GIT Revision=$(UREV))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	    @echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	    && git checkout "$(UREV)" \
	&& ( echo "# Generating ChangeLog..." \
	        ; git --no-pager log --format="%ai %aN (%h) %n%n%x09*%w(68,0,10) %s%n" > ChangeLog \
	        ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	    && echo "# Setting times..." \
	    && for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	    && echo "# Cleaning-up..." \
	    && rm -Rfv doc/src/ \
	    && $(RM) -r .git .git* \
	    $(NULL)
	@echo "# Running syncqt.pl (QT_MODULE_VERSION=$(QT_MODULE_VERSION))"
	cd $(PKG)-$(VER) \
	    && cd src/contacts/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtContacts -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && cd src/organizer/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtOrganizer -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && cd src/versit/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtVersit -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && cd src/versitorganizer/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtVersitOrganizer -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && find $(CURDIR)/$(PKG)-$(VER)/include -type f | while read F; do touch -d "$$(git log -1 --format='%ci')" $$F; done
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)" \
	    $(NULL)

## qtpim-opensource-src 5.0~git20190618.8fec622c+dfsg1

=== debian/changelog ===
qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-10build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 28 Mar 2022 12:16:16 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-10) unstable; urgency=medium

  * debian/qtpim5-doc*.install:
    + Typo fix in mips64el architecture.
    + Add powerpc arch, it also has qt5-qtdoc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Jan 2022 21:04:35 +0100

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-9) unstable; urgency=medium

  * debian/copyright:
    + Drop trailing slash from Files-Excluded: pattern.
  * debian/{control,rules,qtpim5-doc*.install}:
    + Don't build and install API doc files with qtdoc if the architecture does
      not ship qt5-qtdoc. Use dhexec to adjust qtpim5-doc*.install files.
      (Closes: #1002970).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Jan 2022 07:51:16 +0100

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Amend the patch to fix tests on big endian.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Oct 2020 21:06:57 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-7) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright: Use CGit URL in Source: field.

  [ Dmitry Shachnev ]
  * Add a patch to make the QVersitContactImporter tests pass with Qt 5.15
    (closes: #973436).
  * Add a patch to make the QContactFilter test pass on big endian systems.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Oct 2020 17:43:06 +0300

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-6) unstable; urgency=medium

  * debian/rules:
    + Fix for removal of contacts.pro file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:05:08 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-5) unstable; urgency=medium

  * debian/rules:
    + Drop unneeded .pro file that happens to appear on some non-amd64
      architecture builds. Resolves FTBFS on some architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 20:29:53 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Move B-D-I packages to B-D. Fixes arch:any-only builds (as we now do the
      doc builds explicitly then, too).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:59:10 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-3) unstable; urgency=medium

  * debian/rules:
    + Explicitly build the docs during dh_auto_build. (Fixes arch:any builds).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 14:44:38 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-2) unstable; urgency=medium

  * debian/*.symbols:
    + Update symbols (for Qt 5.14 and others).
  * debian/rules:
    + Fix varying timestamps of on-the-fly created header files during orig
      tarball creation.
  * debian/patches:
    + Add 1001_fix-qtdatetime-null-comparison.patch. Partially reverts upstream
      commit 55287ea79625092ca7638fdb028a9c1f03ffd7ca. Required for Qt 5.14
      builds, was not required with Qt 5.12. (Closes: #969316).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 12:22:13 +0200

qtpim-opensource-src (5.0~git20190618.8fec622c+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #955124).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Mar 2020 17:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,28 @@
 Source: qtpim-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
+               dh-exec,
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.3.0~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
-               qtdeclarative5-qtquick2-plugin (>= 5.3.0~),
-               qtdeclarative5-test-plugin (>= 5.3.0~),
+               qml-module-qtquick2 (>= 5.5.0~),
+               qml-module-qttest (>= 5.5.0~),
+               qtbase5-doc-html (>= 5.5.0~),
+               qtdeclarative5-doc-html (>= 5.5.0~),
+               qtbase5-private-dev (>= 5.5.0~),
+               qtdeclarative5-private-dev (>= 5.5.0~),
+               qttools5-dev-tools (>= 5.5.0~),
+               xauth,
                xvfb,
-Standards-Version: 3.9.5
-Homepage: http://qt-project.org/
-Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtpim-opensource-src
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.qt.io/developers
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtpim.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtpim/
 
 Package: libqt5contacts5
 Architecture: any
@@ -31,19 +39,6 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtdeclarative5-qtcontacts-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtcontacts,
-         ${misc:Depends},
-Description: transitional dummy package for Qt 5 Contacts QML Module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-qtcontacts
- which can be safely removed.
 
 Package: qml-module-qtcontacts
 Architecture: any
@@ -79,19 +74,6 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtdeclarative5-qtorganizer-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtorganizer,
-         ${misc:Depends},
-Description: transitional dummy package for Qt 5 Organizer QML Module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-qtorganizer
- which can be safely removed.
 
 Package: qml-module-qtorganizer
 Architecture: any
@@ -163,18 +145,48 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtpim5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqt5contacts5 (= ${binary:Version}),
-         libqt5organizer5 (= ${binary:Version}),
-         libqt5versit5 (= ${binary:Version}),
-         libqt5versitorganizer5 (= ${binary:Version}),
-         ${misc:Depends},
-Description: Qt PIM library debugging symbols
+Package: qtpim5-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 PIM documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the debugging symbols for the Qt 5 PIM
- libraries.
+ This package contains the documentation for the Qt 5 PIM
+ module, including Contacts, Organizer and Versit.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
+
+Package: qtpim5-doc-html
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 PIM HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 PIM
+ module, including Contacts, Organizer and Versit.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
+
+Package: qtpim5-examples
+Architecture: any
+Section: libdevel
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Qt 5 PIM HTML examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for Qt 5 PIM.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,10 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make docs
+	# only build doc files for architectures that have qt5-qtdoc
+	if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdoc ]; then \
+	    make docs; \
+	fi
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -36,8 +39,12 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
-	
+
+	# only install doc files for architectures that have qt5-qtdoc
+	if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qdoc ]; then \
+	    $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs; \
+	fi
+
 	# Remove private stuff
 	rm -rfv debian/tmp/usr/include/*/qt5/QtContacts/*/QtContacts/private/
 	rm -rfv debian/tmp/usr/include/*/qt5/QtOrganizer/*/QtOrganizer/private/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtpim-everywhere-src-([^-]*)\.tar\.xz

## qtpim-opensource-src 5.0~git20201102.f9a8f0fc%2Bdfsg1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=5.0~git%cd.%h, dversionmangle=s/\+dfsg1//g" \
https://invent.kde.org/qt/qt/qtpim.git heads/kde/5.15 debian uupdate
